post

/v4/internal/key-value-stores

Create a new key-value store config (BackOffice only)

Request body

object
keystring
required
Unique human-readable key (alphanumeric, hyphens, underscores)
descriptionstring
accessModeenum
required
PUBLICAPI_KEY
typeenum
required
Semantic type — determines the required JSON shape of entry valuesWHITELISTBLACKLISTBOOSTREFERRERFORWARDERAPR
sizeLimitnumberdefault: 100000
publicReadbooleandefault: true
ownerAddressstring
required
Ethereum address of the config owner (must have an API key for API_KEY mode)

Responses

200
Response for status 200
Schema
object
idstring
required
keystring
required
descriptionstring | null
required
accessModestring
required
typestring
required
sizeLimitnumber
required
publicReadboolean
required
ownerAddressstring
required
createdAtstring
required
updatedAtstring
required
Example
{
  "id": "string",
  "key": "string",
  "description": "string",
  "accessMode": "string",
  "type": "string",
  "sizeLimit": 0,
  "publicRead": false,
  "ownerAddress": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
post
https://api.merkl.xyz/v4/internal/key-value-stores
Merkl API
curl -X POST "https://api.merkl.xyz/v4/internal/key-value-stores" \
  -H "Content-Type: application/json" \
  -d '{ "sizeLimit": 100000, "publicRead": true }'
Current params
{
  "body": {
    "sizeLimit": 100000,
    "publicRead": true
  }
}
Live request — this will call https://api.merkl.xyz/ for real.